Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: draadloos libstdc++5  (gelezen 2140 keer)

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
draadloos libstdc++5
« Gepost op: 2009/08/14, 00:23:20 »
Heel fijn om te lezen in http://forum.ubuntu-nl.org/internet-en-draadloos/hoe-draadloos-internet/msg458913/#msg458913 dat blijkbaar de installatie van libstdc++5 een probleem met een draadloos netwerk kaart heeft opgelost.

De wiki: http://wiki.ubuntu-nl.org/ProblemenMetDraadlozeNetwerkkaartenOplossen maakt geen melding van libstdc++5.

Even gecontroleerd maar pakket libstdc++5 heb ik niet geïnstalleerd en toch werken meerdere draadloze netwerk adapters (zowel pci als usb). Maar wat zegt dat?

Op het forum lees ik ook berichten dat het installeren van libstdc++5 niet heeft geholpen. Dus een domme vraag maar wat is pakket libstdc++5?

Aptitude show libstdc++5:
Hangt af van: libc6 (>= 2.3), libgcc1 (>= 1:4.1.1-21)
Beschrijving: De GNU stdc++ bibliotheek versie 3
 Dit pakket bevat een extra runtime bibliotheek voor C++ programma's die met de
 GNU compiler worden gemaakt.
 
 libstdc++-v3 is volledig herschreven na libstdc++-v2, welke hoorde bij
 g++-2.95. De eerste versie van libstdc++-v3 zat bij g++-3.0.

En een nog dommere vraag: wanneer moet je libstdc++5 installeren?
Klik links bovenin op Documentatie

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #1 Gepost op: 2009/08/14, 00:27:31 »
Dit is waarom je het volgens Pjotr moet installeren:

http://sites.google.com/site/computertip/directdoen
(Punt 16)

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #2 Gepost op: 2009/08/14, 00:29:39 »
Waarom?
Klik links bovenin op Documentatie

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #3 Gepost op: 2009/08/14, 00:32:40 »
Ik zei al, Punt 16:

Citaat
16. Verbeter de achterwaartse compatibiliteit

Installeer een ondersteunend bibliotheekbestandje, om de achterwaartse compatibiliteit van sommige programma's en stuurprogramma's (drivers) te verbeteren.

Systeem - Beheer - Synaptic pakketbeheer

Zoekterm: libstdc++5

(de eerste letter is een kleine L)

Vink het pakketje aan en druk op Toepassen.

Let op: de reeds geïnstalleerde nieuwere versie libstdc++6 niet verwijderen!

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #4 Gepost op: 2009/08/14, 00:44:05 »
Vistaus +1

Blijkbaar is deze oudere versie af en toe nog steeds nodig, in de praktijk. Er zijn naar het schijnt nog steeds enkele progjes (en stuurprogjes) die in hun code verwijzen naar deze oudere versie, en hem nodig hebben voor correct functioneren.

Als je w32codecs installeert, dan krijg je de oude versie 5 trouwens meteen mee.
« Laatst bewerkt op: 2009/08/14, 00:46:22 door Pjotr »

Offline siegi

  • Lid
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #5 Gepost op: 2009/08/14, 00:44:31 »
Ik weet niet of het installeren van een ouder pakket altijd voordelen heeft.
Misschien verbeter je de achterwaartse compatibliteit.
Maar verslechter je de compatibiliteit met huidige software/drivers. En krijg je ineens onverklaarbare problemen.  
Dus snap ik testcees punt om te weten waarom het eigenlijk nodig is.

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #6 Gepost op: 2009/08/14, 00:48:16 »
Ik weet niet of het installeren van een ouder pakket altijd voordelen heeft.
Misschien verbeter je de achterwaartse compatibliteit.
Maar verslechter je de compatibiliteit met huidige software/drivers. En krijg je ineens onverklaarbare problemen.  
Dus snap ik testcees punt om te weten waarom het eigenlijk nodig is.

Waarom zou het problemen geven? Hij komt toch alleen naast de nieuwe versie 6, niet in de plaats ervan? Ik doe het in elk geval altijd, en mijn machines lopen oerstabiel en betrouwbaar. Geen enkel probleem.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #7 Gepost op: 2009/08/14, 00:50:30 »
Precies. Ook hier superstabiel met versie 5 en 6 beide geïnstalleerd. Vanaf 8.04 doe ik het al, ik begon Ubuntu met 8.04 en installeer altijd volgens Pjotrs site versie 5. Nog nooit enig probleem mee gehad en alles is superstabiel.
« Laatst bewerkt op: 2009/08/14, 00:55:28 door Vistaus »

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #8 Gepost op: 2009/08/14, 00:57:48 »
Op zich klopt de stelling dat het er naast komt:

cees@cees-desktop:~$ sudo aptitude -s install libstdc++5
[sudo] password for cees:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Uitgebreide statusinformatie aan het lezen     
Initialiseren van pakketstatussen... Klaar
De volgende NIEUWE pakketten zullen worden geïnstalleerd:
  libstdc++5
0 pakketten opgewaardeerd, 1 nieuwe geïnstalleerd, 0 te verwijderen en 0 niet opwaarderen.
Heb 292kB archieven nodig. Na uitpakken zal 967kB worden gebruikt.
Zou ophalen/installeren/verwijderen van pakketten.

Dan is de vraag waarom wordt standaard (alleen) libstdc++6 wordt geïnstalleerd en wanneer zou de wiki het toevogen van libstdc++5 moeten adviseren? Altijd lijkt wat vaak.
Klik links bovenin op Documentatie

Offline siegi

  • Lid
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #9 Gepost op: 2009/08/14, 01:04:20 »
Blijkbaar te snel gelezen, ik had eerst begrepen dat versie 6 werd verwijderd.

Ondertussen heb ik even onderzoek gedaan naar wat de pakketjes installeren.
Bij elke lib bestandje zit een versie nummer bij, ik vraag me af op welke manier hij beslist welke lib hij standaard gebruik.
Bijv als je python versie 2.6 en versie 3.0 geinstalleerd hebt dan zal er maar 1 standaard worden gebruikt. (is natuurlijk niet te vergelijken om dat python geen lib bestandje is maarja.)

Ik ben er dus nog altijd niet zeker van of het geen problemen kan veroorzaken, en raad het dus alleen aan in het geval het zeker nut bewijst.
Op jouw webstek staat het gewoon als een van de fouten van ubuntu, die beslist moeten opgelost worden bij de installatie.

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #10 Gepost op: 2009/08/14, 10:44:22 »
Altijd lijkt wat vaak.

Dat is waar. Ik ga er trouwens ook van uit, dat de behoefte aan versie 5 in de loop van de tijd zal verdwijnen. Progjes en stuurprogjes die dusdanige code hebben dat ze alleen optimaal functioneren met de oude versie 5, hebben natuurlijk verouderde code.

Maar vooralsnog lijkt het me een geval van "baat het niet, dan schaadt het niet".

Offline Roel1963

  • Lid
  • Steunpunt: Nee
Re: draadloos libstdc++5
« Reactie #11 Gepost op: 2009/08/14, 11:12:58 »
Toen ik nog met Thunderbird werkte bleek dat versie 5 noodzakelijk was om Lightning te installeren.